Summary:        Exec Maven Plugin
Name:           exec-maven-plugin
Version:        3.1.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://www.mojohaus.org/exec-maven-plugin/
Source0:        https://repo1.maven.org/maven2/org/codehaus/mojo/exec-maven-plugin/%{version}/exec-maven-plugin-%{version}-source-release.zip

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

BuildRequires:  maven-local maven-artifact-transfer maven-dependency-plugin
BuildRequires:  mvn(org.apache.commons:commons-exec)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
Provides:       maven-plugin-exec = %{version}-%{release}

%description
The plugin provides 2 goals to help execute system and Java programs.
1. exec:exec execute programs and Java programs in a separate process.
2. exec:java execute Java programs in the same VM.


%package javadoc
Summary:    Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}


%prep
%autosetup -n exec-maven-plugin-%{version}

sed -i 's/\r$//' LICENSE.txt
find . -name *.jar -delete

%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_dep :mockito-core
%pom_remove_dep :maven-plugin-testing-harness
%pom_remove_dep :plexus-interpolation
%pom_remove_dep :slf4j-simple
%pom_remove_plugin :maven-dependency-plugin

rm -rf src/test/


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license LICENSE.txt
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 rockerzhu <rockerzhu@tencent.com> - 3.1.0-1
- Initial build.
